@import "~@angular/material/theming";
@include mat-core();

$mat-custom-primary: (
  50: #ebf0f3,
  100: #d7e1e7,
  200: #86a6b9,
  300: #6288a2,
  400: #285c80,
  500: #02558b,
  600: #214c69,
  700: #1e435e,
  800: #1a3b52,
  900: #0f222f,
  A100: #9db4c5,
  A200: #285c80,
  A400: #02558b,
  A700: #1a3b52,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text
  )
);

$mat-custom-accent: (
  50: #fde9d9,
  100: #fcd3b3,
  200: #fabe8d,
  300: #f9a867,
  400: #f79241,
  500: #f7882f,
  600: #e17c2b,
  700: #b46323,
  800: #874b1a,
  900: #5a3212,
  A100: #f9a867,
  A200: #f7882f,
  A400: #b46323,
  A700: #874b1a,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text
  )
);

$accent: mat-palette($mat-custom-accent);
$primary: mat-palette($mat-custom-primary);
$theme: mat-light-theme($primary, $accent);

@include angular-material-theme($theme);
